Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1148029 - broken deps in F-21 compose
Summary: broken deps in F-21 compose
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 21
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker F21PPCAlpha
TreeView+ depends on / blocked
 
Reported: 2014-09-30 14:40 UTC by Dan Horák
Modified: 2014-10-23 15:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-23 15:07:54 UTC


Attachments (Terms of Use)

Description Dan Horák 2014-09-30 14:40:22 UTC

Comment 1 Menanteau Guy 2014-09-30 14:44:17 UTC
QA:Testcase Mediakit Repoclosure

mount of Fedora-Server-DVD-ppc64le-21_Alpha_TC4.iso
and do:
repoclosure -a ppc64le --repofrompath myrepo,/mycdrom/ --newest -t -r m
yrepo

Added myrepo repo from /mycdrom
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1  
   myrepo
Num Packages in Repos: 2355
package: libvirt-daemon-kvm-1.2.8-4.fc21.ppc64le from myrepo
  unresolved deps: 
     qemu-kvm
package: narayana-5.0.0-3.fc21.noarch from myrepo
  unresolved deps: 
     mvn(org.hornetq:hornetq-journal)
package: rubygem-coffee-script-source-1.6.3-1.fc21.noarch from myrepo
  unresolved deps: 
     coffee-script-common = 0:1.6.3
package: wildfly-8.1.0-3.fc21.noarch from myrepo
  unresolved deps: 
     mvn(org.hornetq:hornetq-tools)
     mvn(org.hornetq:hornetq-stomp-protocol)
     mvn(org.hornetq:hornetq-server)
     mvn(org.hornetq:hornetq-ra)
     mvn(org.hornetq:hornetq-native)
     mvn(org.hornetq:hornetq-journal)
     mvn(org.hornetq:hornetq-jms-server)
     mvn(org.hornetq:hornetq-jms-client)
     mvn(org.hornetq:hornetq-core-client)
     mvn(org.hornetq:hornetq-commons)
     mvn(org.hornetq:hornetq-amqp-protocol)

Comment 2 Dan Horák 2014-09-30 14:51:28 UTC
(In reply to Menanteau Guy from comment #1)
> QA:Testcase Mediakit Repoclosure
> 
> mount of Fedora-Server-DVD-ppc64le-21_Alpha_TC4.iso
> and do:
> repoclosure -a ppc64le --repofrompath myrepo,/mycdrom/ --newest -t -r m
> yrepo
> 
> Added myrepo repo from /mycdrom
> Reading in repository metadata - please wait....
> Checking Dependencies
> Repos looked at: 1  
>    myrepo
> Num Packages in Repos: 2355
> package: libvirt-daemon-kvm-1.2.8-4.fc21.ppc64le from myrepo
>   unresolved deps: 
>      qemu-kvm

KVM enabled in qemu-2.1.2-3.fc21

> package: narayana-5.0.0-3.fc21.noarch from myrepo
>   unresolved deps: 
>      mvn(org.hornetq:hornetq-journal)
> package: wildfly-8.1.0-3.fc21.noarch from myrepo
>   unresolved deps: 
>      mvn(org.hornetq:hornetq-tools)
>      mvn(org.hornetq:hornetq-stomp-protocol)
>      mvn(org.hornetq:hornetq-server)
>      mvn(org.hornetq:hornetq-ra)
>      mvn(org.hornetq:hornetq-native)
>      mvn(org.hornetq:hornetq-journal)
>      mvn(org.hornetq:hornetq-jms-server)
>      mvn(org.hornetq:hornetq-jms-client)
>      mvn(org.hornetq:hornetq-core-client)
>      mvn(org.hornetq:hornetq-commons)
>      mvn(org.hornetq:hornetq-amqp-protocol)

needs some work on hornetq, but should be doable as we already fixed it for s390 (and ppc IIRC) few months ago

> package: rubygem-coffee-script-source-1.6.3-1.fc21.noarch from myrepo
>   unresolved deps: 
>      coffee-script-common = 0:1.6.3

Comment 3 Menanteau Guy 2014-10-09 08:59:18 UTC
Alpha_RC1 still have the coffee-script-common unresolved

QA:Testcase Mediakit Repoclosure

mount of Fedora-Server-DVD-ppc64le-21_Alpha_RC1.iso
and do:
repoclosure -a ppc64le --repofrompath myrepo,/mycdrom/ --newest -t -r m
yrepo

Added myrepo repo from /mycdrom
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
   myrepo
Num Packages in Repos: 2361
package: rubygem-coffee-script-source-1.6.3-1.fc21.noarch from myrepo
  unresolved deps: 
     coffee-script-common = 0:1.6.3

Comment 4 Dan Horák 2014-10-14 14:29:57 UTC
hornetq-2.4.1-4.fc21 is built = http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=268017

Comment 5 Menanteau Guy 2014-10-14 14:46:11 UTC
It seems that coffee-script-common unresolved deps for rubygem-coffee-script-source can not be solved on ppc* because v8/nodejs does not exist for these archs.

Comment 6 Phil Knirsch 2014-10-23 15:07:54 UTC
Fixed in RC3


Note You need to log in before you can comment on or make changes to this bug.